Skip to main content
GET
Get a setup intent
v2 · Base URL https://api.fintoc.com/v2

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Unique identifier of the setup intent to retrieve.

Response

The setup intent with the given id.

id
string
required

Unique identifier of the setup intent.

Example:

"seti_xL9mPq2RkV3WnDQG"

object
any
required

Type of the object. Always setup_intent.

error_reason
enum<string> | null
required

Error code describing why the latest setup attempt failed. null until an attempt fails and when the setup succeeds.

Available options:
null,
login_invalid_credentials,
login_credentials_locked,
authorization_timeout,
mfa_authorization_timeout,
mfa_unavailable,
bank_connection_error,
bank_not_available,
password_change_required,
request_timeout,
subscription_intent_expired,
account_type_not_permitted,
internal_error,
user_left,
card_declined,
invalid_card_credentials,
invalid_card,
authentication_failed,
insufficient_funds
Example:

"invalid_card"

status
enum<string>
required

Lifecycle status of the setup intent. One of created, started, waiting_for_retry, succeeded, or failed.

Available options:
created,
started,
waiting_for_retry,
succeeded,
failed
Example:

"failed"